org.hibernate.search.analyzer.impl

## Class ScopedLuceneAnalyzerReference

- java.lang.Object
- - org.hibernate.search.analyzer.impl.LuceneAnalyzerReference
  - - org.hibernate.search.analyzer.impl.ScopedLuceneAnalyzerReference

- All Implemented Interfaces:
    Closeable, AutoCloseable, AnalyzerReference, ScopedAnalyzerReference

      public class ScopedLuceneAnalyzerReference
      extends LuceneAnalyzerReference
      implements ScopedAnalyzerReference

  Author:
    Yoann Rodiere

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ScopedLuceneAnalyzerReference.Builder`

    - ### Nested classes/interfaces inherited from interface org.hibernate.search.analyzer.spi.ScopedAnalyzerReference

      `ScopedAnalyzerReference.CopyBuilder`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScopedLuceneAnalyzerReference(ScopedLuceneAnalyzerReference.Builder builder)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Close analyzer if possible
    `ScopedLuceneAnalyzer` | `getAnalyzer()`
    `boolean` | `isNormalizer(String fieldName)`
    `ScopedAnalyzerReference.CopyBuilder` | `startCopy()`

    - ### Methods inherited from class org.hibernate.search.analyzer.impl.LuceneAnalyzerReference

      `is, unwrap`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.hibernate.search.analyzer.spi.AnalyzerReference

      `is, unwrap`

- - ### Constructor Detail

    - #### ScopedLuceneAnalyzerReference

          public ScopedLuceneAnalyzerReference(ScopedLuceneAnalyzerReference.Builder builder)

  - ### Method Detail

    - #### getAnalyzer

          public ScopedLuceneAnalyzer getAnalyzer()

      Specified by:
        `getAnalyzer` in class `LuceneAnalyzerReference`

    - #### isNormalizer

          public boolean isNormalizer(String fieldName)

      Specified by:
        `isNormalizer` in interface `AnalyzerReference`
      Parameters:
        `fieldName` - name of the field whose analyzer is to be inspected
      Returns:
        `true` if the analyzer for the field with the given name is a normalizer, `false` otherwise.

    - #### close

          public void close()

      Description copied from interface: `AnalyzerReference`
      Close analyzer if possible
      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `AnalyzerReference`

    - #### startCopy

          public ScopedAnalyzerReference.CopyBuilder startCopy()

      Specified by:
        `startCopy` in interface `ScopedAnalyzerReference`
      Returns:
        A builder for copying the referenced analyzer, altering some scopes as necessary.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved